Bug 1553431 - perdition-ldap should own /etc/openldap/schema directory
Summary: perdition-ldap should own /etc/openldap/schema directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perdition
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1448058
TreeView+ depends on / blocked
 
Reported: 2018-03-08 20:59 UTC by Matus Honek
Modified: 2018-10-30 17:15 UTC (History)
1 user (show)

Fixed In Version: perdition-2.2-2.el7 perdition-2.2-2.fc28 perdition-2.2-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-10 21:15:23 UTC


Attachments (Terms of Use)
proposed patch (388 bytes, patch)
2018-03-08 20:59 UTC, Matus Honek
no flags Details | Diff

Description Matus Honek 2018-03-08 20:59:28 UTC
Created attachment 1405987 [details]
proposed patch

Hello,

according to the packaging guidelines [1], this package should own /etc/openldap/schema directory as it places a file inside it. Not owning the directory results in possibility of no installed package owning it, eventually not being removed when the packages that introduced it are removed.

Please, change the SPEC file to make the package own the directory. An example of how the change may look like is attached.

Thank you.

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

Comment 1 Jan Kurik 2018-08-14 11:12:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Fedora Update System 2018-09-05 23:18:24 UTC
perdition-2.2-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e1c4a561dd

Comment 3 Fedora Update System 2018-09-05 23:18:56 UTC
perdition-2.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-6d4edca7f1

Comment 4 Fedora Update System 2018-09-05 23:20:25 UTC
perdition-2.2-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-159c408af7

Comment 5 Fedora Update System 2018-09-06 03:43:13 UTC
perdition-2.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-6d4edca7f1

Comment 6 Fedora Update System 2018-09-07 00:07:56 UTC
perdition-2.2-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e1c4a561dd

Comment 7 Fedora Update System 2018-09-07 00:08:23 UTC
perdition-2.2-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e1c4a561dd

Comment 8 Fedora Update System 2018-09-07 06:00:19 UTC
perdition-2.2-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-159c408af7

Comment 9 Fedora Update System 2018-10-10 21:15:23 UTC
perdition-2.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-10-10 22:45:27 UTC
perdition-2.2-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-10-30 17:15:34 UTC
perdition-2.2-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.